package com.hw.ems.base.mapper;

import java.util.List;

import com.hw.ems.base.domain.BaseMonitorInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 计量设备信息Mapper接口
 *
 * @author YinQ
 * @date 2023-04-06
 */
@Mapper
public interface BaseMonitorInfoMapper
{
    /**
     * 查询计量设备信息
     *
     * @param objid 计量设备信息主键
     * @return 计量设备信息
     */
    public BaseMonitorInfo selectBaseMonitorInfoByObjid(Long objid);

    /**
     * 查询计量设备信息列表
     *
     * @param baseMonitorInfo 计量设备信息
     * @return 计量设备信息集合
     */
    public List<BaseMonitorInfo> selectBaseMonitorInfoList(BaseMonitorInfo baseMonitorInfo);

    /**
     * 新增计量设备信息
     *
     * @param baseMonitorInfo 计量设备信息
     * @return 结果
     */
    public int insertBaseMonitorInfo(BaseMonitorInfo baseMonitorInfo);

    /**
     * 修改计量设备信息
     *
     * @param baseMonitorInfo 计量设备信息
     * @return 结果
     */
    public int updateBaseMonitorInfo(BaseMonitorInfo baseMonitorInfo);

    /**
     * 删除计量设备信息
     *
     * @param objid 计量设备信息主键
     * @return 结果
     */
    public int deleteBaseMonitorInfoByObjid(Long objid);

    /**
     * 批量删除计量设备信息
     *
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseMonitorInfoByObjids(String[] objids);

    /**
     * 插入校验MonitorId是否合法
     * @param baseMonitor
     * @return
     */
    public List<BaseMonitorInfo> checkMonitorIdLegal(BaseMonitorInfo baseMonitor);


    List<BaseMonitorInfo> selectChildrenMonitorById(String monitorId);

    BaseMonitorInfo selectBaseMonitorInfoByMonitorId(String monitorId);

    void updateMonitorChildren(@Param("monitor") List<BaseMonitorInfo> children);

    List<BaseMonitorInfo> selectMonitorList(BaseMonitorInfo baseMonitorInfo);

    List<BaseMonitorInfo> monitorLedgerList(BaseMonitorInfo baseMonitorInfo);

}
